# Class LineSeqFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<String>
org.snpeff.fileIterator.LineFileIterator
org.snpeff.fileIterator.LineSeqFileIterator

All Implemented Interfaces:
  `Iterable<String>, Iterator<String>`

public class LineSeqFileIterator extends LineFileIterator
One line per sequence. Actually it is exactly the same as LineFilteIterator

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`LineSeqFileIterator(String lineSeqFileName)`

## Method Summary

### Methods inherited from class LineFileIterator

`iterator, readNext`

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, init, isDebug, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Field Details

### debug

public static boolean debug

## Constructor Details

### LineSeqFileIterator

public LineSeqFileIterator(String lineSeqFileName)